Organization Members

Organization Members

GET /api/v1/organizations/{id}/members

Get Org Members

getOrgMembers returns all members and pending invites of an organization

Parameters

NameInTypeRequired
idpathstringtrue

Response

Type: []MemberResponse

Example

curl -X GET \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/organizations/{id}/members

POST /api/v1/organizations/{id}/members

Create invite To Org

inviteToOrg invites a user to an organization

Parameters

NameInTypeRequired
idpathstringtrue

Request Body

Type: InviteToOrgRequest

FieldTypeDescription
emailstring
role_idstring

Response

Type: OrgInvite

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
organization_idstring
emailstring
role_idstring
roleRole(optional)
invited_bystring
tokenstring
expires_attime.Time
accepted_attime.Time

Example

curl -X POST \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/organizations/{id}/members

DELETE /api/v1/organizations/{id}/members/{member_id}

Delete remove Org Member

removeOrgMember removes a member or cancels a pending invite from an organization

Parameters

NameInTypeRequired
idpathstringtrue
member_idpathstringtrue

Example

curl -X DELETE \
  -H "Authorization: Bearer <token>" \
  https://api.seeme.ai/api/v1/organizations/{id}/members/{member_id}

PUT /api/v1/organizations/{id}/members/{member_id}/role

Update Org Member Role

updateOrgMemberRole updates a member’s role in an organization

Parameters

NameInTypeRequired
idpathstringtrue
member_idpathstringtrue

Request Body

Type: struct{}

Response

Type: OrgMember

FieldTypeDescription
iduuid.UUID
created_attime.Time
updated_attime.Time
organization_idstring
user_idstring
role_idstringReferences Role table
invited_bystring
invited_attime.Time
accepted_attime.Time
userUserComputed/joined fields (optional)
organizationOrganization(optional)
roleRole(optional)

Example

curl -X PUT \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}' \
  https://api.seeme.ai/api/v1/organizations/{id}/members/{member_id}/role